#ifdef GL_ES
	precision mediump float;
#endif

uniform sampler2D u_texture0;
uniform sampler2D u_texture1;
uniform float u_bubbleAlpha;

varying vec2	v_texCoord0;
varying vec2	v_bubbleCoord;

void main() {
	vec4 bubbleColor= vec4(texture2D(u_texture0, mod(v_bubbleCoord, 1.0)));
	vec4 bubbleMask	= vec4(texture2D(u_texture1, v_texCoord0));
	vec4 color		= bubbleColor*bubbleMask;
    
	gl_FragColor = vec4(color.rgb, color.a*u_bubbleAlpha);
}