uniform mat4 u_MVPMatrix;

attribute vec4 a_Position;
attribute vec2 a_TextureCoordinate;

varying vec2	v_TextureCoord;
varying vec4	v_Position;
varying float	v_FogDepth;

void main()
{
	gl_Position	= u_MVPMatrix * a_Position;
	
	v_FogDepth		= gl_Position.z;
	v_TextureCoord	= a_TextureCoordinate;
	v_Position		= a_Position;
}