#ifdef GL_ES
	precision mediump float;
#endif

uniform sampler2D u_texture0;
uniform sampler2D u_beamMask00Texture;
uniform sampler2D u_beamMask01Texture;
uniform float u_flash;

varying vec2	v_texCoord0;
varying vec2	v_beamCoord0;

void main() {
	vec4 beamColor	= vec4(texture2D(u_texture0, v_beamCoord0));
	
	vec4 beamMask0  = vec4(texture2D(u_beamMask00Texture, v_texCoord0));
	vec4 beamMask1  = vec4(texture2D(u_beamMask01Texture, v_texCoord0));
	//vec4 beamMask	= mix(beamMask0, beamMask1, u_flash);
	gl_FragColor = beamColor*(beamMask0+beamMask1*u_flash);
}