#ifdef GL_ES
	precision mediump float;
#endif

uniform sampler2D u_texture0;

varying vec2	v_texCoord0;
varying float	v_fog;
varying vec3	v_lightDiffuse;

void main(){
	vec4 color = texture2D(u_texture0, v_texCoord0);
	gl_FragColor = vec4(color.rgb * v_lightDiffuse, color.a*v_fog);
}