precision mediump float;

uniform sampler2D	u_texture0;
uniform sampler2D	u_texture1;
uniform vec4		u_CameraPosition;

varying vec4	v_point;
varying vec2	v_texCoord0;
varying vec2	v_waveCoord0;
varying vec2	v_waveCoord1;

const float eta	= 0.3;
const float one = 1.0;
const float hlf = 0.5;
const float two = 2.0;

void main() {
	vec4 colorMask = texture2D(u_texture1, v_texCoord0);
	
	//vec3 normalVector;
	//normalVector  = texture2D(u_texture1, mod(v_waveCoord0, one)).xyz - hlf;
	//normalVector += texture2D(u_texture1, mod(v_waveCoord1, one)).xyz - hlf;
	
	//normalVector = normalize(normalVector);
	
	//vec3 eyeVector		= normalize(u_CameraPosition.xyz - v_point.xyz);
	//vec3 refractVector	= refract(eyeVector, normalVector, eta) * hlf + hlf;
	//vec4 color			= texture2D(u_texture0, refractVector.xy);
	
    vec4 color = texture2D(u_texture0, mod(v_waveCoord0, one));
	//float fresnel = pow(one - dot(normalVector, eyeVector), two);
	
	//gl_FragColor = vec4((color.rgb+sunColor.a)*v_lightDiffuse, (fresnel + v_NdotL2)*colorMask.a);
	//gl_FragColor = vec4(color.rgb * v_lightDiffuse, (fresnel + v_NdotL2) * colorMask.a);
	//gl_FragColor = vec4(color.rgb, (fresnel) * colorMask.a);
	gl_FragColor = vec4(color.rgb, colorMask.a);
}